# WOK
TKWOK
WOKStep

# WOKStep_EngLinkList Class Reference

`#include <WOKStep_EngLinkList.hxx>`

Inheritance diagram for WOKStep_EngLinkList:

[legend]

## Public Member Functions

Standard_EXPORT | WOKStep_EngLinkList (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ComputeDependency (const Handle(TCollection_HAsciiString)&code, const Handle(TColStd_HSequenceOfHAsciiString)&adirectlist) const

## Private Member Functions

virtual Standard_EXPORT void | ComputeInterface (const Handle(WOKernel_DevUnit)&aunit, const Handle(WOKMake_InputFile)&infile)
virtual Standard_EXPORT void | ComputeSchema (const Handle(WOKernel_DevUnit)&aunit, const Handle(WOKMake_InputFile)&infile)
virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_EngLinkList::WOKStep_EngLinkList | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKStep_EngLinkList::ComputeDependency | ( | const Handle(TCollection_HAsciiString)& | code,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | adirectlist
| ) | const`[protected, virtual]`

| Implements WOKStep_LinkList.

virtual Standard_EXPORT void WOKStep_EngLinkList::ComputeInterface | ( | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(WOKMake_InputFile)& | infile
| ) | `[private, virtual]`

virtual Standard_EXPORT void WOKStep_EngLinkList::ComputeSchema | ( | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(WOKMake_InputFile)& | infile
| ) | `[private, virtual]`

| Reimplemented in WOKOBJS_EngLinkList.

virtual Standard_EXPORT void WOKStep_EngLinkList::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Implements WOKMake_Step.

Standard_EXPORT const WOKStep_EngLinkList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_LinkList. Reimplemented in WOKOBJS_EngLinkList.

The documentation for this class was generated from the following file:

- WOKStep_EngLinkList.hxx